/*
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 */


import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.OneToOne;
import javax.persistence.Id;

@Entity
@Table(name="ACCOUNT")
public class Account implements java.io.Serializable {

    // Instance variable
    @Id
    private Integer id;
    private double balance;
    private double deposit;
    private double withdraw;

    private VIPOwner owner;

    // constructors

    public Account()
    {
	//No-arg
    }

    public Account(Integer id, double balance)
    {
      this.id = id;
      this.balance = balance;
    }


    // ===========================================================
    // Account Business Methods

    public int id() {
        return new Integer(id);
    }

    public double balance() {
        return balance;
    }

    public double deposit(double v) {
	balance += v;
	return balance;
    }

    public double withdraw(double v) {
	balance -= v;
	return balance;
    }

    @OneToOne
    public VIPOwner getOwner() {
        return owner;
    }
    public void setOwner(VIPOwner v) {
        this.owner = v;
    }

}

